ランタイム: Mix::Scene::IKinematicCharacter Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IKinematicCharacter Class Referenceabstract

キネマティックキャラクターインターフェース More...

`#include <IKinematicCharacter.h>`

Inheritance diagram for Mix::Scene::IKinematicCharacter:
[legend]
Collaboration diagram for Mix::Scene::IKinematicCharacter:
[legend]

## Public Member Functions

virtual Float32 | GetHeight (void) const =0
| 高さを取得します More...
virtual Float32 | GetRadius (void) const =0
| 半径を取得します More...
virtual Float32 | GetGravity (void) const =0
| 重力を取得します More...
virtual void | SetGravity (Float32 gravity)=0
| 重力を設定します More...
virtual Float32 | GetMaxFallSpeed (void) const =0
| 最大落下速度を取得します More...
virtual void | SetMaxFallSpeed (Float32 speed)=0
| 最大落下速度を設定します More...
virtual Float32 | GetInitalJumpSpeed (void) const =0
| ジャンプ時の初速を取得します More...
virtual void | SetInitalJumpSpeed (Float32 speed)=0
| ジャンプ時の初速を設定します More...
virtual Float32 | GetStepHeight (void) const =0
| 上れる段差の高さを取得します More...
virtual void | SetStepHeight (Float32 height)=0
| 上れる段差の高さを設定します More...
virtual Float32 | GetSlopeLimit (void) const =0
| 上れる勾配の角度を取得します More...
virtual void | SetSlopeLimit (Float32 rad)=0
| 上れる勾配の角度を設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual const Mix::Vector3 & | GetLinearVelocity (void) const =0
| 移動速度を取得します More...
virtual void | SetLinearVelocity (const Mix::Vector3 &vel)=0
| 移動速度を設定します More...
virtual Boolean | OnGround (void) const =0
| 地上にいるかどうかを取得します More...
virtual Boolean | CanJump (void) const =0
| ジャンプできるかどうかを確認します More...
virtual Boolean | Jump (void)=0
| ジャンプします More...
Public Member Functions inherited from Mix::Scene::IDynamicsObject
virtual Mix::Scene::IDynamicsObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetOwner (Mix::Scene::IRendererObject **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IRendererObject * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Boolean | HasContactListener (void) const =0
| コンタクトリスナーを所持しているかどうかを取得します More...
virtual Boolean | ContainsContactListener (Mix::Scene::IContactListener *pListener) const =0
| 指定したコンタクトリスナーが存在しているかどうかを確認します More...
virtual Boolean | AddContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを追加します More...
virtual Boolean | RemoveContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを削除します More...
virtual void | ClearContactListener (void)=0
| 全てのコンタクトリスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IKinematicCharacter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IDynamicsObject
virtual | ~IDynamicsObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IDynamicsObject
enum | TYPE { UNDEFINED = 0, SIMPLE_COLLIDER = 1, LIBERTY_COLLIDER = 2, ACTOR_COLLIDER = 3, TERRAIN_COLLIDER = 4, SIMPLE_SENSOR = 5, ACTOR_SENSOR = 6, SIMPLE_KINEMATIC_CHARACTER = 7, ACTOR_KINEMATIC_CHARACTER = 8 }
| タイプ列挙定数 More...

## Detailed Description

キネマティックキャラクターインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IKinematicCharacter::~IKinematicCharacter | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Float32 Mix::Scene::IKinematicCharacter::GetHeight | ( | void |  | ) | const

pure virtual

高さを取得します

Returns
  高さを返します

virtual Float32 Mix::Scene::IKinematicCharacter::GetRadius | ( | void |  | ) | const

pure virtual

半径を取得します

Returns
  半径を返します

virtual Float32 Mix::Scene::IKinematicCharacter::GetGravity | ( | void |  | ) | const

pure virtual

重力を取得します

Returns
  重力を返します

virtual void Mix::Scene::IKinematicCharacter::SetGravity | ( | Float32 | gravity | ) |

pure virtual

重力を設定します

Parameters

  [in] | gravity | 重力

virtual Float32 Mix::Scene::IKinematicCharacter::GetMaxFallSpeed | ( | void |  | ) | const

pure virtual

最大落下速度を取得します

Returns
  最大落下速度を返します

virtual void Mix::Scene::IKinematicCharacter::SetMaxFallSpeed | ( | Float32 | speed | ) |

pure virtual

最大落下速度を設定します

Parameters

  [in] | speed | 最大落下速度( 0.0f 以上 )

virtual Float32 Mix::Scene::IKinematicCharacter::GetInitalJumpSpeed | ( | void |  | ) | const

pure virtual

ジャンプ時の初速を取得します

Returns
  ジャンプ時の初速を返します

virtual void Mix::Scene::IKinematicCharacter::SetInitalJumpSpeed | ( | Float32 | speed | ) |

pure virtual

ジャンプ時の初速を設定します

Parameters

  [in] | speed | ジャンプ時の初速( 0.0f 以上 )

virtual Float32 Mix::Scene::IKinematicCharacter::GetStepHeight | ( | void |  | ) | const

pure virtual

上れる段差の高さを取得します

Returns
  段差の高さを返します

virtual void Mix::Scene::IKinematicCharacter::SetStepHeight | ( | Float32 | height | ) |

pure virtual

上れる段差の高さを設定します

Parameters

  [in] | height | 段差の高さ

Note
  このメソッドは設定を反映するために、内部オブジェクトを作り直していますので、
  頻繁に設定の変更をするとパフォーマンスに影響を及ぼします。

virtual Float32 Mix::Scene::IKinematicCharacter::GetSlopeLimit | ( | void |  | ) | const

pure virtual

上れる勾配の角度を取得します

Returns
  上れる勾配の角度の角度を返します

virtual void Mix::Scene::IKinematicCharacter::SetSlopeLimit | ( | Float32 | rad | ) |

pure virtual

上れる勾配の角度を設定します

Parameters

  [in] | rad | 勾配の角度(ラジアン単位)

virtual const Mix::Dynamics::MATERIAL& Mix::Scene::IKinematicCharacter::GetMaterial | ( | void |  | ) | const

pure virtual

マテリアルを取得します

Returns
  マテリアルを表す Mix::Dynamics::MATERIAL 構造体を返します

virtual void Mix::Scene::IKinematicCharacter::SetMaterial | ( | const Mix::Dynamics::MATERIAL & | material | ) |

pure virtual

マテリアルを設定します

Parameters

  [in] | material | 設定するマテリアルを表す Mix::Dynamics::MATERIAL 構造体

virtual const Mix::Vector3& Mix::Scene::IKinematicCharacter::GetLinearVelocity | ( | void |  | ) | const

pure virtual

移動速度を取得します

Returns
  移動速度を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::IKinematicCharacter::SetLinearVelocity | ( | const Mix::Vector3 & | vel | ) |

pure virtual

移動速度を設定します

Parameters

  [in] | vel | 移動速度を表す Mix::Vector3 クラス

virtual Boolean Mix::Scene::IKinematicCharacter::OnGround | ( | void |  | ) | const

pure virtual

地上にいるかどうかを取得します

Returns
  地上にいる場合は True を返します

virtual Boolean Mix::Scene::IKinematicCharacter::CanJump | ( | void |  | ) | const

pure virtual

ジャンプできるかどうかを確認します

Returns
  ジャンプできる場合は True を返します

virtual Boolean Mix::Scene::IKinematicCharacter::Jump | ( | void |  | ) |

pure virtual

ジャンプします

Returns
  ジャンプできた場合は True を返します

Note
  ジャンプできるのは地上にいる場合( CanJump() == True )のみです

The documentation for this class was generated from the following file:

- Mix/Scene/IKinematicCharacter.h